Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.build
Class TaskControlGenTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Java
                  com.bea.wli.worklist.build.TaskControlGenTask

    public class TaskControlGenTask

extends org.apache.tools.ant.taskdefs.Java

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Java
`redirector, redirectorElement`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TaskControlGenTask()`

Method Summary
`void` | `execute()`
`File` | `getHostAppRootDir()`
`String` | `getInterfaceName()`
`File` | `getOutputDir()`
`String` | `getPackageName()`
`File` | `getTaskPlanFile()`
`void` | `setHostAppRootDir(File hostAppRootDir)`
`void` | `setInterfaceName(String interfaceName)`
`void` | `setOutputDir(File outputDir)`
`void` | `setPackageName(String packageName)`
`void` | `setTaskPlanFile(File taskPlan)`

Methods inherited from class org.apache.tools.ant.taskdefs.Java
`addAssertions, addConfiguredRedirector, addEnv, addSysproperty, addSyspropertyset, clearArgs, createArg, createBootclasspath, createClasspath, createJvmarg, createPermissions, createWatchdog, executeJava, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, maybeSetResultPropertyValue, run, setAppend, setArgs, setClassname, setClasspath, setClasspathRef, setDir, setError, setErrorProperty, setFailonerror, setFork, setInput, setInputString, setJar, setJvm, setJvmargs, setJVMVersion, setLogError, setMaxmemory, setNewenvironment, setOutput, setOutputproperty, setResultProperty, setSpawn, setTimeout, setupRedirector`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskControlGenTask

    public TaskControlGenTask()

Method Detail

### getHostAppRootDir

    public File getHostAppRootDir()

### setHostAppRootDir

    public void setHostAppRootDir(File hostAppRootDir)

### getTaskPlanFile

    public File getTaskPlanFile()

### setTaskPlanFile

    public void setTaskPlanFile(File taskPlan)

### getOutputDir

    public File getOutputDir()

### setOutputDir

    public void setOutputDir(File outputDir)

### getPackageName

    public String getPackageName()

### setPackageName

    public void setPackageName(String packageName)

### getInterfaceName

    public String getInterfaceName()

### setInterfaceName

    public void setInterfaceName(String interfaceName)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.taskdefs.Java`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD